package tools.descartes.dml.mm.applicationlevel.functions.commands;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import tools.descartes.dml.mm.applicationlevel.functions.RandomVariable;
import tools.descartes.dml.mm.applicationlevel.functions.util.RandomVariableVisualizer;

public class VisualizeRandomVariableCommand extends AbstractRandomVariableCommand {

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		RandomVariable randomVar = extractRandomVar(event);
		try {
			new RandomVariableVisualizer(randomVar);
		} catch (Exception e) {
			displayString(e.getMessage(), "Error");
		}
		return null;
	}

}
